{% trans_default_domain 'admin' %}

<div class="marker-shape-picker" data-value="{{ form.vars.value }}">
  <div class="input-group" style="width: 100%">
    <span class="input-group-addon" v-show="selectedShape.name">
      <div class="addon-shape-container">
        <marker-shape :shape="selectedShape" :circle="circle"></marker-shape>
      </div>
    </span>
    <input class="form-control" @click="open = !open" type="text" :value="value"
           id="{{ form.vars.id }}" name="{{ form.vars.full_name }}"
           placeholder="{{ 'options.fields.markerShape_choices.default'|trans }}"
           @input="selectedShape = shapes.find(s => s.name == $event.target.value) || {}" />
  </div>
  <div class="picker-container" v-if="open">
    <div style="margin-bottom: 1rem; margin-left: 1rem;">
      <input :type="open ? 'checkbox' : ''" id="circle" v-model="circle"/>
      <label for="circle" style="cursor: pointer; margin-left: 5px;">
        {{ 'options.fields.markerShape_choices.withCircle'|trans }}
      </label>
      <i class="fa fa-times btn-close" @click="open = false"></i>
    </div>

    <div class="shape-container">
      <marker-shape v-for="shape in shapes" :key="shape.name"  :circle="circle"
                    :shape="shape" @click="selectedShape = shape; open = false">
      </marker-shape>
    </div>
  </div>
</div>

<link rel="stylesheet" href="{{ asset('css/gogocarto.css?ver=' ~ version) }}">

<style>
  .marker-shape-picker {
    position: relative;
  }
  .marker-shape-picker .input-group-addon {
    padding: 0;
    width: 40px;
  }
  .picker-container {
    position: absolute;
    padding: 1rem;
    width: 100%;
    max-height: 400px;
    box-shadow: 0 0 0 1px rgb(99 114 130 / 16%), 0 8px 16px rgb(27 39 51 / 8%);
    border-radius: 4px;
    z-index: 50;
    background: white;
    overflow: auto;
  }
  .picker-container .btn-close {
    float: right;
    cursor: pointer;
    padding: 6px;
    background: #eee;
    border-radius: 50%;
    width: 28px;
    text-align: center;
  }
  .shape-container {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 9px 5px;
  }
  .addon-shape-container {
    position: absolute;
    top: 7px;
    left: -4px;
  }
  .addon-shape-container .shape-item {
    transform: scale(.4);
    transform-origin: top;
  }
</style>
